<template>
  <q-tabs
    v-model="activeTab"
    :vertical="$q.platform.is.desktop"
    class="text-white">
    <template v-for="(useCaseValue, useCaseKey, index) in useCases">
      <q-tab
        no-caps
        :name="useCaseKey"
        :icon="useCaseValue.icon"
        :label="useCaseValue.label"
        :key="index"
        @click="$emit('update:active-tab-model', useCaseKey)"
      />
    </template>
  </q-tabs>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
export default defineComponent({
  name: 'IndexUseCasesTabs',

  data () {
    return {
      activeTab: ''
    }
  },
  
  // computed: {
  //   activeTabModel: {
  //     get: function () {
  //       return this.activeTab
  //     },

  //     set: function (value) {
  //       console.log(value, this.activeTabModel)
  //     }
  //   }
  // },

  props: {
    useCases: {
      type: Object,
      required: true
    },

    activeTabModel: {
      type: String,
      required: true
    }
  },

  mounted () {
    this.activeTab = this.activeTabModel
  },
});
</script>
